# Class CIPDataSmiles

java.lang.Object
org.jmol.symmetry.CIPData
org.jmol.symmetry.CIPDataSmiles

public class CIPDataSmiles extends CIPData
A subclass that allows Jmol processing of SMILES using "...smiles...".find("SMILES","chirality")

## Field Summary

### Fields inherited from class CIPData

`testRule6Full, vNorm, vTemp`

## Constructor Summary

Constructors
Constructor
Description
`CIPDataSmiles()`

## Method Summary

Modifier and Type
Method
Description
`protected BS[]`
`getList(String smarts)`
Retrieve an array of bit sets that match a given SMARTS
`String[]`
`getSmilesChiralityArray()`
`protected BS`
`match(String smarts)`
Return a bit set corresponding to a SMARTS
`CIPDataSmiles`
`setAtomsForSmiles(Viewer vwr, String smiles)`

### Methods inherited from class CIPData

`init, isTracker, set, setRule6Full`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CIPDataSmiles

public CIPDataSmiles()

## Method Details

### setAtomsForSmiles

public CIPDataSmiles setAtomsForSmiles(Viewer vwr, String smiles) throws Exception

Throws:
  `Exception`

### getList

protected BS[] getList(String smarts) throws Exception
Description copied from class: `CIPData`
Retrieve an array of bit sets that match a given SMARTS

Overrides:
  `getList` in class `CIPData`
Parameters:
  `smarts` -
Returns:
  array of matching bit sets
Throws:
  `Exception`

### match

protected BS match(String smarts) throws Exception
Description copied from class: `CIPData`
Return a bit set corresponding to a SMARTS

Overrides:
  `match` in class `CIPData`
Parameters:
  `smarts` -
Returns:
  bit set matching this SMARTS
Throws:
  `Exception`

### getSmilesChiralityArray

public String[] getSmilesChiralityArray()